| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Slots | List of all members
Digikam::DProgressDlg Class Reference
Inheritance diagram for Digikam::DProgressDlg:

## Public Slots
void | addedAction (const QPixmap &icon, const QString &text)
void | advance (int offset)
void | incrementMaximum (int added)
void | reset ()
void | setButtonText (const QString &text)
void | setMaximum (int max)
void | setValue (int value)

## Signals
void | signalCancelPressed ()

## Public Member Functions
| DProgressDlg (QWidget *const parent=nullptr, const QString &caption=QString())
void | setLabel (const QString &text)
void | setTitle (const QString &text)
int | value () const

## Protected Slots
virtual void | slotCancel ()